Loading...
Searching...
No Matches
mkgeo_sector

mesh of a sector

## Synopsis

    mkgeo_sector [options] n

## Example

The following command build 2d unstructured mesh of the triangular region delimited by the three points (0,0), (1,0), (1,1):

        mkgeo_sector
        geo sector.geo

## Description

This command is convenient for building a mesh for a sector of a square pipe section, as it is a very classical benchmark in complex fluid flow problems. It calls bamg unstructured mesh generator. The mesh files goes on name.geo where name is the basename for the output (see option -name below). The three auxiliary files required for automatic mesh generation with Rheolef combined with bamg are also provided:

        name.bamg
        name.bamgcad
        name.dmn

## The geometry

The geometry is the triangular sector (0,0), (a,0), (a,b). By default a=b=1.

-a float
-b float

> These options control the geometry parameters.

## The discretization

The optional n argument is an integer that specifies the subdivision in each direction. By default n=10.

## Boundary domains

The boundary sides are represented by domains: axis, boundary, and bisector.

## Others options

-name string

> Set the basename for the output files. By default, the basename is sector. -[no]clean Clear temporary files (this is the default). -[no]verbose In verbose mode, print to stderr all commands and logs.

## Implementation

This documentation has been generated from file main/sbin/mkgeo_sector.sh